clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
PassByValueCheck.cpp File Reference
`#include "PassByValueCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/ASTMatchers/ASTMatchers.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Lex/Preprocessor.h"`
Include dependency graph for PassByValueCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::modernize

## Functions
| clang::tidy::modernize::AST_MATCHER (CXXRecordDecl, isMoveConstructible)
| Matches move-constructible classes. More...
static TypeMatcher | clang::tidy::modernize::constRefType ()
static TypeMatcher | clang::tidy::modernize::nonConstValueType ()
static bool | clang::tidy::modernize::paramReferredExactlyOnce (const CXXConstructorDecl *Ctor, const ParmVarDecl *ParamDecl)
| Whether or not `ParamDecl` is used exactly one time in `Ctor`. More...
static SmallVector< const ParmVarDecl *, 2 > | clang::tidy::modernize::collectParamDecls (const CXXConstructorDecl *Ctor, const ParmVarDecl *ParamDecl)
| Find all references to `ParamDecl` across all of the redeclarations of `Ctor`. More...